Easy Chat Server栈缓冲区溢出漏洞(CVE-2023-4494)

威胁等级
高危
漏洞分类
其他
影响资产分类
应用服务
检索条件
游客用户没有权限查看,请登录
DVB
DVB-2023-5622
CVE
CVE-2023-4494
CNVD
-
CNNVD
-

漏洞描述

Easy Chat Server是一款基于Web的在线聊天服务器程序,运行系统为Windows,支持创建多个聊天室,多人在线聊天,该软件曾出现过多个漏洞。该漏洞源于使用HTTP GET对register.ghp文件进行访问时,未检查用户提交的username值的长度是否超过限制,从而使栈缓冲区溢出,覆盖其他内存空间,可导致任意代码执行。

漏洞详情

游客用户没有权限查看,请登录

修复建议

请关注厂商的修复版本,并及时更新到最新版本.